cURL
curl --request POST \
--url https://gateway.varchev.com/ipg/payment/pay-3d-secure \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'OrganizationId: <organizationid>' \
--header 'TenantId: <tenantid>' \
--header 'WalletId: <walletid>' \
--data '
{
"merchantTransactionId": "<string>",
"customerId": "<string>",
"amount": 123,
"currency": "<string>",
"orderType": "<string>",
"sourceId": "<string>",
"destinationId": "<string>",
"orderDescriptor": "<string>",
"paymentBrand": "<string>",
"paymentMode": "<string>",
"terminalId": 123,
"merchantRedirectUrl": "<string>",
"notificationUrl": "<string>",
"shipping": {
"country": "<string>",
"city": "<string>",
"state": "<string>",
"postcode": "<string>",
"street1": "<string>"
},
"customer": {
"telnocc": "<string>",
"phone": "<string>",
"email": "<string>",
"givenName": "<string>",
"surname": "<string>",
"customerId": "<string>"
},
"card": {
"number": "<string>",
"expiryMonth": "<string>",
"expiryYear": "<string>",
"cvv": "<string>"
}
}
'import requests
url = "https://gateway.varchev.com/ipg/payment/pay-3d-secure"
payload = {
"merchantTransactionId": "<string>",
"customerId": "<string>",
"amount": 123,
"currency": "<string>",
"orderType": "<string>",
"sourceId": "<string>",
"destinationId": "<string>",
"orderDescriptor": "<string>",
"paymentBrand": "<string>",
"paymentMode": "<string>",
"terminalId": 123,
"merchantRedirectUrl": "<string>",
"notificationUrl": "<string>",
"shipping": {
"country": "<string>",
"city": "<string>",
"state": "<string>",
"postcode": "<string>",
"street1": "<string>"
},
"customer": {
"telnocc": "<string>",
"phone": "<string>",
"email": "<string>",
"givenName": "<string>",
"surname": "<string>",
"customerId": "<string>"
},
"card": {
"number": "<string>",
"expiryMonth": "<string>",
"expiryYear": "<string>",
"cvv": "<string>"
}
}
headers = {
"WalletId": "<walletid>",
"TenantId": "<tenantid>",
"OrganizationId": "<organizationid>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
WalletId: '<walletid>',
TenantId: '<tenantid>',
OrganizationId: '<organizationid>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
merchantTransactionId: '<string>',
customerId: '<string>',
amount: 123,
currency: '<string>',
orderType: '<string>',
sourceId: '<string>',
destinationId: '<string>',
orderDescriptor: '<string>',
paymentBrand: '<string>',
paymentMode: '<string>',
terminalId: 123,
merchantRedirectUrl: '<string>',
notificationUrl: '<string>',
shipping: {
country: '<string>',
city: '<string>',
state: '<string>',
postcode: '<string>',
street1: '<string>'
},
customer: {
telnocc: '<string>',
phone: '<string>',
email: '<string>',
givenName: '<string>',
surname: '<string>',
customerId: '<string>'
},
card: {
number: '<string>',
expiryMonth: '<string>',
expiryYear: '<string>',
cvv: '<string>'
}
})
};
fetch('https://gateway.varchev.com/ipg/payment/pay-3d-secure', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"value": {
"id": "<string>",
"paymentDetail": {
"paymentId": "<string>",
"paymentBrand": "<string>",
"paymentMode": "<string>",
"paymentType": "<string>",
"registrationId": null,
"amount": 123,
"currency": "<string>",
"card": {
"bin": "<string>",
"last4Digits": "<string>",
"holder": "<string>",
"expiryMonth": "<string>",
"expiryYear": "<string>"
},
"transactionStatus": "<string>",
"merchantTransactionId": null,
"result": {
"code": 123,
"description": "<string>"
},
"descriptor": null,
"remark": null,
"timestamp": "<string>",
"redirect": {
"url": "<string>",
"method": null,
"target": null,
"parameters": [
{
"name": "<string>",
"value": "<string>"
}
]
}
}
},
"isOk": true,
"isErr": true
}IPG Payment APIs
Post payment pay 3d secure
POST
/
payment
/
pay-3d-secure
cURL
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Body
application/jsontext/jsonapplication/*+json
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I

